Bug 169239 - up2date won't start due to an an exec context error.
up2date won't start due to an an exec context error.
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2005-09-25 19:40 EDT by Jan St.
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: selinux-policy-targeted-1.27.1-2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-26 19:20:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan St. 2005-09-25 19:40:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
up2date won't start anymore if i launch it as a user. After entering roots password, just nothing happens. The outputs on the console is:

"Konnte exec-Kontext nicht auf root:sysadm_r:rpm_t setzen. "
which means that the context of the exec-command could not be set to root:sysadm_r:rpm_t.

If I instead first do a su -l root; and then up2date, everything works fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.log in with an unprivileged user account
2.start up2date via console or klick on the rhn-applet -> "start up2date" ("up2date starten")
3.nothing happens, if started from the console the output reads: "Konnte exec-Kontext nicht auf root:sysadm_r:rpm_t setzen."

Actual Results:  Nothing :D

Expected Results:  up2date should have started fetching the channel list and so on...

Additional info:

Seems very similar, but allready RESOLVED.
Comment 1 Jan St. 2005-09-26 19:20:43 EDT
This bug was in all likelihood provoked by selinux-policy-targeted-1.27.1-2.1
and is _resolved_ with version selinux-policy-targeted-1.27.1-2.2.

The changelog lists the changes as:
* Sa Sep 24 2005 Dan Walsh <dwalsh@redhat.com> 1.27.1-2.2
- Put back in role sysadm_r unconfined_t;

Note You need to log in before you can comment on or make changes to this bug.